import { configType } from "../config.ts";
import { Channel } from "../database.ts"

export default class BaseAI {
    name: string;
    description: string;
    history?: string[];
    memory?: string[];

    constructor(name: string, description: string, config: configType, db: Channel);

    changeShit(opts: {
        name?: string;
        description?: string;
    }): void;

    reset(): void;

    complete(username: string, message: string): Promise<string>;
}
